#!/bin/sh

# Convert Enigma1 Userbouquets to Enigma2 style
# all *.tv and *.radio files must be inside the
# active directory
#
# made by Gemini Team / IHAD

#
# TV Bouquets
#

# create "bouquets.tv" file and write header
echo "#NAME TV-Bouquets" > ./bouquets.tv

# read in every *.tv file inside the active directory
for bfile in *.tv
do

	# do not use the main "bouquets.tv" file
	if [ $bfile != "bouquets.tv" ]; then

		# replace "#SERVICE:" with "#SERVICE" and write to a new
		# temporary file
		sed 's/#SERVICE:/#SERVICE/' $bfile > $bfile".c"
		# move temporary file back to original file
		mv $bfile".c" $bfile

		# write bouquet into "bouquets.tv"
		echo "#SERVICE 1:7:1:0:0:0:0:0:0:0:$bfile" >> ./bouquets.tv

	fi

done

#
# Radio Bouquets
#

# create "bouquets.radio" file and write header
echo "#NAME Radio-Bouquets" > ./bouquets.radio

# read in every *.tv file inside the active directory
for bfile in *.radio
do

	# do not use the main "bouquets.radio" file
	if [ $bfile != "bouquets.radio" ]; then

		# replace "#SERVICE:" with "#SERVICE" and write to a new
		# temporary file
		sed 's/#SERVICE:/#SERVICE/' $bfile > $bfile".c"
		mv $bfile".c" $bfile

		# write bouquet into "bouquets.radio"
		echo "#SERVICE 1:7:2:0:0:0:0:0:0:0:$bfile" >> ./bouquets.radio

	fi

done
